Subject: Re: Pipe command

From: "Robin S. Socha" <[email-masked]>
Date: 3 Jul 1997 18:07:52 +0200

-----BEGIN PGP SIGNED MESSAGE-----

>> On Thu, 3 Jul 1997 13:25:02 +0200, Justine Bhandary 5124
>> <[email-masked]> said:

JB5> Hello, Are there any general/detailed guidelines regarding the
JB5> use of the Pipe command under Unix-Pine? 

Since this might be of general interest (are you with me Dos-lusers?
This is what you're missing...) --- man pipe:

PIPE(2)             Linux Programmer's Manual             PIPE(2)
NAME
       pipe - create pipe
SYNOPSIS
       #include <unistd.h>
       int pipe(int filedes[2]);
DESCRIPTION
       pipe  creates  a  pair  of file descriptors, pointing to a
       pipe inode, and places them in the  array  pointed  to  by
       filedes.   filedes[0]  is  for  reading, filedes[1] is for
       writing.
RETURN VALUE
       On success, zero is returned.  On error, -1  is  returned,
       and errno is set appropriately.
[...]
SEE ALSO
       read(2), write(2), fork(2), socketpair(2)        

JB5> I've carried out some preliminary tests but I feel I'm not making
JB5> the most of it.  

Robert de Bath (I guess the spelling's wrong - sorry, Robert :-/)
posted a very nice script a couple of months ago that utilises the
pipe command to start lynx "within" pine. Check the archive for it and 
you'll see how the pipe command can be used sensibly.

JB5> Also, I've failed to find much information on this in the FAQ and
JB5> would appreciate some feedback.

There's a nice example in the faq that actually covers everything you
need to understand _if_ you know how to do shell scripts or perl ;-) 

Get yourself a comfortable chair, a few packets of crisps, some Coke
and then say:

	man bash

or whatever shell you're using. Using the pipe is in fact the easy
part >;->

Later,
Robin

-- 
Robin S. Socha,
Political Science Dept., Bonn University, Bonn
GMC d++ s+:+ a- C++ UL++$>+++ P+>++$ L++$>+++ E>+ W- N+ o@ !K-- w--- M-- V--
PS--- PE+++ Y+ PGP++>+++ t+() 5-- R() b+++ DI++ G++>+++ e++>+++ r++>+++